Package org.apache.tools.ant

# Class IntrospectionHelper.Creator

java.lang.Object
org.apache.tools.ant.IntrospectionHelper.Creator

Enclosing class:
  `IntrospectionHelper`

public static final class IntrospectionHelper.Creator extends Object
creator - allows use of create/store external to IntrospectionHelper. The class is final as it has a private constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `create()`
  Create an object using this creator, which is determined by introspection.
  `Object`
  `getRealObject()`
  `void`
  `setPolyType(String polyType)`
  Used to override the class used to create the object.
  `void`
  `store()`
  Stores the nested element object using a storage method determined by introspection.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setPolyType

    public void setPolyType(String polyType)
    Used to override the class used to create the object.
    Parameters:
      `polyType` - a ant component type name

  - ### create

    public Object create()
    Create an object using this creator, which is determined by introspection.
    Returns:
      the created object

  - ### getRealObject

    public Object getRealObject()
    Returns:
      the real object (used currently only for presetdef).

  - ### store

    public void store()
    Stores the nested element object using a storage method determined by introspection.